import dayjs from 'dayjs';

const getcolumns = {
  0: [
    {
      title: '设备编号',
      dataIndex: 'equipmentNo',
      key: 'equipmentNo',
    },
    {
      title: '设备名称',
      dataIndex: 'equipmentName',
      key: 'equipmentName',
    },
    {
      title: '设备型号',
      dataIndex: 'equipmentModelName',
      key: 'equipmentModelName',
    },
    {
      title: '保养类型',
      dataIndex: 'maintainTypeName',
      key: 'maintainType',
    },
    {
      title: '保养频次',
      dataIndex: 'maintainFrequencyName',
      key: 'maintainFrequency',
    },
    {
      title: '保养截止日期',
      dataIndex: 'planMaintainDate',
      key: 'planMaintainDateList',
    },
    {
      title: '保养项目',
      key: 'maintainTaskItemList',
      valueType: 'table',
      dataIndex: 'maintainTaskItemList',
      columns: [
        {
          title: '保养项目',
          dataIndex: 'maintainItemName',
          key: 'maintainItemName',
        },
        {
          title: '部位',
          dataIndex: 'maintainPosition',
          key: 'maintainPosition',
        },
        {
          title: '保养方法',
          dataIndex: 'maintainMethod',
          key: 'maintainMethod',
        },
      ],
    },
  ],
  1: [
    {
      title: '保养人员',
      dataIndex: 'maintainUserName',
      key: 'maintainUserName',
    },
    {
      title: '接单时间',
      dataIndex: 'maintainStartTime',
      key: 'maintainStartTime',
    },
  ],
  2: [
    {
      title: '关单人员',
      dataIndex: 'customsUserName',
      key: 'customsUserName',
    },
    {
      title: '强制关单时间',
      dataIndex: 'offSingleDate',
      key: 'offSingleDate',
    },
  ],
  3: [
    {
      title: '完成保养时间',
      dataIndex: 'maintainEndTime',
      key: 'maintainEndTime',
    },
    {
      title: '保养项目',
      key: 'maintainTaskItemList',
      valueType: 'table',
      dataIndex: 'maintainTaskItemList',
      columns: [
        {
          title: '保养项目',
          dataIndex: 'maintainItemName',
          key: 'maintainItemName',
        },
        {
          title: '部位',
          dataIndex: 'maintainPosition',
          key: 'maintainPosition',
        },
        {
          title: '保养方法',
          dataIndex: 'maintainMethod',
          key: 'maintainMethod',
        },
        {
          title: '结果',
          dataIndex: 'judgeResultName',
          key: 'judgeResultName',
          render: (_, row) => {
            if (row?.judgeType == 1) {
              return row?.judgeResultName;
            } else {
              return row?.qualitativeJudgeResult;
            }
          },
        },
        {
          title: '下限值',
          dataIndex: 'lowerLimit',
          key: 'lowerLimit',
        },
        {
          title: '上限值',
          dataIndex: 'upperLimit',
          key: 'upperLimit',
        },
        {
          title: '备注',
          dataIndex: 'remark',
          key: 'remark',
        },
      ],
    },
    {
      title: '非寿命件消耗',
      key: 'noLifeConsume',
      valueType: 'table',
      dataIndex: 'noLifeConsume',
      columns: [
        {
          title: '备件料号',
          dataIndex: 'sparePartNo',
          key: 'sparePartNo',
        },
        {
          title: '备件名称',
          dataIndex: 'sparePartName',
          key: 'sparePartName',
        },
        {
          title: '供应商编号',
          dataIndex: 'supplierNo',
          key: 'supplierNo',
        },
        {
          title: '供应商名称',
          dataIndex: 'supplierName',
          key: 'supplierName',
        },
        {
          title: '消耗数量',
          dataIndex: 'operateNum',
          key: 'operateNum',
        },
      ],
    },
    {
      title: '寿命件更换',
      key: 'yesLifeConsume',
      valueType: 'table',
      dataIndex: 'yesLifeConsume',
      columns: [
        {
          title: '备件料号',
          dataIndex: 'sparePartNo',
          key: 'sparePartNo',
        },
        {
          title: '备件名称',
          dataIndex: 'sparePartName',
          key: 'sparePartName',
        },
        {
          title: '供应商编号',
          dataIndex: 'supplierNo',
          key: 'supplierNo',
        },
        {
          title: '供应商名称',
          dataIndex: 'supplierName',
          key: 'supplierName',
        },
        {
          title: '安装部位',
          dataIndex: 'installPosition',
          key: 'installPosition',
        },
        {
          title: '更换数量',
          dataIndex: 'operateNum',
          key: 'operateNum',
        },
      ],
    },
  ],
  4: [
    {
      title: '验证人员',
      dataIndex: 'approveUserName',
      key: 'approveUserName',
    },
    {
      title: '验证时间',
      dataIndex: 'approveTime',
      key: 'approveTime',
    },
    {
      title: '验证结果',
      dataIndex: 'approveStatusName',
      key: 'approveStatusName',
    },
    {
      title: '备注',
      dataIndex: 'approveContent',
      key: 'approveContent',
    },
  ],
};
export default getcolumns;
